osgAnimation::TemplateSampler< F > Class Template Reference

`#include <Sampler>`

Inheritance diagram for osgAnimation::TemplateSampler< F >:

## Public Types

typedef F::KeyframeType | KeyframeType
typedef TemplateKeyframeContainer< KeyframeType > | KeyframeContainerType
typedef F::UsingType | UsingType
typedef F | FunctorType

## Public Member Functions

| TemplateSampler ()
| ~TemplateSampler ()
void | getValueAt (double time, UsingType &result) const
void | setKeyframeContainer (KeyframeContainerType *kf)
virtual KeyframeContainer * | getKeyframeContainer ()
virtual const KeyframeContainer * | getKeyframeContainer () const
KeyframeContainerType * | getKeyframeContainerTyped ()
const KeyframeContainerType * | getKeyframeContainerTyped () const
KeyframeContainerType * | getOrCreateKeyframeContainer ()
double | getStartTime () const
double | getEndTime () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

FunctorType | _functor
osg::ref_ptr< KeyframeContainerType > | _keyframes
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Member Typedef Documentation

## FunctorType

template<class F>

typedef F osgAnimation::TemplateSampler< F >::FunctorType

## KeyframeContainerType

template<class F>

typedef TemplateKeyframeContainer<KeyframeType> osgAnimation::TemplateSampler< F >::KeyframeContainerType

## KeyframeType

template<class F>

typedef F::KeyframeType osgAnimation::TemplateSampler< F >::KeyframeType

## UsingType

template<class F>

typedef F::UsingType osgAnimation::TemplateSampler< F >::UsingType

## Constructor & Destructor Documentation

## TemplateSampler()

template<class F>

osgAnimation::TemplateSampler< F >::TemplateSampler | ( |  | ) |

inline

## ~TemplateSampler()

template<class F>

osgAnimation::TemplateSampler< F >::~TemplateSampler | ( |  | ) |

inline

## Member Function Documentation

## getEndTime()

template<class F>

double osgAnimation::TemplateSampler< F >::getEndTime | ( |  | ) | const

inline

## getKeyframeContainer() [1/2]

template<class F>

virtual KeyframeContainer * osgAnimation::TemplateSampler< F >::getKeyframeContainer | ( |  | ) |

inline virtual

Implements osgAnimation::Sampler.

## getKeyframeContainer() [2/2]

template<class F>

virtual const KeyframeContainer * osgAnimation::TemplateSampler< F >::getKeyframeContainer | ( |  | ) | const

inline virtual

Implements osgAnimation::Sampler.

## getKeyframeContainerTyped() [1/2]

template<class F>

KeyframeContainerType * osgAnimation::TemplateSampler< F >::getKeyframeContainerTyped | ( |  | ) |

inline

## getKeyframeContainerTyped() [2/2]

template<class F>

const KeyframeContainerType * osgAnimation::TemplateSampler< F >::getKeyframeContainerTyped | ( |  | ) | const

inline

## getOrCreateKeyframeContainer()

template<class F>

KeyframeContainerType * osgAnimation::TemplateSampler< F >::getOrCreateKeyframeContainer | ( |  | ) |

inline

## getStartTime()

template<class F>

double osgAnimation::TemplateSampler< F >::getStartTime | ( |  | ) | const

inline

## getValueAt()

template<class F>

void osgAnimation::TemplateSampler< F >::getValueAt | ( | double | time,
|  | UsingType & | result ) const

inline

## setKeyframeContainer()

template<class F>

void osgAnimation::TemplateSampler< F >::setKeyframeContainer | ( | KeyframeContainerType * | kf | ) |

inline

## Member Data Documentation

## _functor

template<class F>

FunctorType osgAnimation::TemplateSampler< F >::_functor

protected

## _keyframes

template<class F>

osg::ref_ptr<KeyframeContainerType> osgAnimation::TemplateSampler< F >::_keyframes

protected

The documentation for this class was generated from the following file:

- osgAnimation/Sampler